Check Point Advisories

Microsoft VBScript and JScript ASLR Bypass (MS15-106: CVE-2015-6052)

Check Point Reference: CPAI-2015-1184
Date Published: 13 Oct 2015
Severity: Medium
Last Updated: 10 May 2017
Source: Microsoft Security Bulletin MS15-106
Industry Reference:CVE-2015-6052
Protection Provided by:

Security Gateway
R80, R77, R76, R75

Who is Vulnerable? Internet Explorer 8
Internet Explorer 9
Internet Explorer 10
Internet Explorer 11
Vulnerability Description A security feature bypass vulnerability has been discovered in JScript and VBScript scripting engines. The vulnerability is due to the way that the VBScript scripting engine uses the Address Space Layout Randomization (ASLR) security feature. A remote attacker can exploit this issue by enticing a user to open a specially crafted web-page with an affected version of Internet Explorer.
Update/Patch AvaliableApply patches from: MS15-106

Protection Overview

This protection will detect and block attempts to exploit this vulnerability.

In order for the protection to be activated, update your Security Gateway product to the latest IPS update.For information on how to update IPS, go to SBP-2006-05, click on Protection tab and select the version of your choice.

Security Gateway R80 / R77 / R76 / R75

  1. In the IPS tab, click Protections and find the Microsoft VBScript and JScript ASLR Bypass (MS15-106: CVE-2015-6052) protection using the Search tool and Edit the protection's settings.
  2. Install policy on all modules.

This protection's log will contain the following information:

Attack Name:  Web Client Enforcement Violation.
Attack Information:  Microsoft VBScript and JScript ASLR Bypass (MS15-106: CVE-2015-6052)

This website uses cookies to ensure you get the best experience. Got it, Thanks! MORE INFO